Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.elements.structures
Class IncludedLibrary

    java.lang.Object
      org.eclipse.birt.report.model.core.Structure
          org.eclipse.birt.report.model.api.elements.structures.IncludedLibrary

All Implemented Interfaces:
  java.lang.Cloneable, IStructure, org.eclipse.birt.report.model.core.IPropertySet

    public class IncludedLibrary

extends org.eclipse.birt.report.model.core.Structure

This class represents one include library of report design.

This is a managed object, meaning that all changes should be made though the command layer so that they can be undone and redone. Each column hint has the following properties:

File Name
  File name is required for a include library.
Namespace
  Namespace of the library, which is used to identify one library.

Field Summary
`static java.lang.String` | `FILE_NAME_MEMBER` Name of the file name member.
`protected java.lang.String` | `fileName` The file name of the included library.
`static java.lang.String` | `INCLUDED_LIBRARY_STRUCT` Name of this structure.
`protected java.lang.String` | `namespace` The namespace of the included library.
`static java.lang.String` | `NAMESPACE_MEMEBR` Name of the namespace member.

Constructor Summary
`IncludedLibrary()`

Method Summary
`java.lang.String` | `getFileName()` Gets the file name of the include library.
`protected java.lang.Object` | `getIntrinsicProperty(java.lang.String propName)`
`java.lang.String` | `getNamespace()` Returns the namespace of the included library.
`java.lang.String` | `getStructName()` Returns the name of the structure definition.
`protected StructureHandle` | `handle(SimpleValueHandle valueHandle, int index)`
`void` | `setFileName(java.lang.String theFileName)` Sets the file name of the include library.
`protected void` | `setIntrinsicProperty(java.lang.String propName, java.lang.Object value)`
`void` | `setNamespace(java.lang.String namespace)` Sets the namespace for library.
`java.util.List` | `validate(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)`

Methods inherited from class org.eclipse.birt.report.model.core.Structure
`checkStringMember, copy, equals, getCompatibleValue, getContext, getDefn, getElement, getExpressionProperty, getHandle, getHandle, getLocalProperty, getLocalProperty, getMemberDefn, getObjectDefn, getProperty, getProperty, getReferencableProperty, getStringProperty, isDesignTime, isReferencable, setContext, setExpressionProperty, setProperty, setProperty, setupContext, updateReference`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INCLUDED_LIBRARY_STRUCT

    public static final java.lang.String INCLUDED_LIBRARY_STRUCT

  Name of this structure. Matches the definition in the meta-data dictionary.

  See Also:
    Constant Field Values

### FILE_NAME_MEMBER

    public static final java.lang.String FILE_NAME_MEMBER

  Name of the file name member. This member is required for the structure.

  See Also:
    Constant Field Values

### NAMESPACE_MEMEBR

    public static final java.lang.String NAMESPACE_MEMEBR

  Name of the namespace member.

  See Also:
    Constant Field Values

### fileName

    protected java.lang.String fileName

  The file name of the included library.

### namespace

    protected java.lang.String namespace

  The namespace of the included library.

Constructor Detail

### IncludedLibrary

    public IncludedLibrary()

Method Detail

### getStructName

    public java.lang.String getStructName()

  Description copied from interface: `IStructure`
  Returns the name of the structure definition. The name is the one used to define the structure in the meta-data dictionary.

  Returns:
    the internal name of the structure a defined in the meta-data dictionary.

### getIntrinsicProperty

    protected java.lang.Object getIntrinsicProperty(java.lang.String propName)

  Specified by:
    `getIntrinsicProperty` in class `org.eclipse.birt.report.model.core.Structure`

### setIntrinsicProperty

    protected void setIntrinsicProperty(java.lang.String propName,
                                        java.lang.Object value)

  Specified by:
    `setIntrinsicProperty` in class `org.eclipse.birt.report.model.core.Structure`

### validate

    public java.util.List validate(org.eclipse.birt.report.model.core.Module module,
                                   org.eclipse.birt.report.model.core.DesignElement element)

  Overrides:
    `validate` in class `org.eclipse.birt.report.model.core.Structure`

### getFileName

    public java.lang.String getFileName()

  Gets the file name of the include library.

  Returns:
    the file name of the include library

### setFileName

    public void setFileName(java.lang.String theFileName)

  Sets the file name of the include library.

  Parameters:
    `theFileName` - the new file name to set

### getNamespace

    public java.lang.String getNamespace()

  Returns the namespace of the included library. The namespace identify one library uniquely in design file.

  Returns:
    the namespace of the included library.

### setNamespace

    public void setNamespace(java.lang.String namespace)

  Sets the namespace for library.

  Parameters:
    `namespace` - the namespace to set.

### handle

    protected StructureHandle handle(SimpleValueHandle valueHandle,
                                     int index)

  Specified by:
    `handle` in class `org.eclipse.birt.report.model.core.Structure`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.